package core

  1. Overview
  2. Docs
Industrial strength alternative to OCaml's standard library

Install

Dune Dependency

Authors

Maintainers

Sources

core-v0.10.0.tar.gz
md5=74ab9a1eedd6d8a882604faf23cd09b8

Description

The Core suite of libraries is an industrial strength alternative to OCaml's standard library that was developed by Jane Street, the largest industrial user of OCaml.

Published: 19 Dec 2017

README

README.md

Core is an industrial-strength alternative to the OCaml standard library. It was developed by Jane Street, which is the largest industrial user of OCaml.

Core provides an overlay on the usual namespace, so the best way to use Core is to start your file with:

open Core

In the case of bugs, feature requests and similar, you can contact us at opensource@janestreet.com. You can find all of Jane Street's open-source libraries on our github account. Documentation can be found here.

Dependencies (13)

  1. ocaml-migrate-parsetree >= "0.4" & < "2.0.0"
  2. jbuilder >= "1.0+beta12"
  3. base-threads
  4. stdio >= "v0.10" & < "v0.11"
  5. spawn >= "v0.10" & < "v0.11"
  6. sexplib >= "v0.10" & < "v0.11"
  7. ppx_jane >= "v0.10" & < "v0.11"
  8. ppx_driver >= "v0.10" & < "v0.11"
  9. ppx_assert >= "v0.10" & < "v0.11"
  10. core_kernel >= "v0.10" & < "v0.11"
  11. configurator >= "v0.10" & < "v0.11"
  12. base >= "v0.10" & < "v0.11"
  13. ocaml >= "4.04.1" & < "4.12.0"

Dev Dependencies

None

  1. alcotest-async >= "1.3.0" & < "1.6.0"
  2. amf
  3. anthill
  4. anycache-async
  5. arakoon >= "1.9.17"
  6. async = "v0.10.0"
  7. async-mvar
  8. async-zmq >= "0.1.0"
  9. async_extended = "v0.10.0"
  10. async_extra < "108.00.02" | = "v0.10.0"
  11. async_find = "v0.10.0"
  12. async_inotify = "v0.10.0"
  13. async_interactive = "v0.10.0"
  14. async_parallel = "v0.10.0"
  15. async_sendfile < "v0.11.0"
  16. async_shell = "v0.10.0"
  17. async_smtp = "v0.10.0"
  18. async_ssl = "v0.10.0"
  19. async_unix < "108.00.02" | = "v0.10.0"
  20. aws-s3 < "1.1.0" | >= "2.0.0" & < "4.0.0"
  21. awsm-codegen
  22. azblob-async
  23. binaryen_dsl
  24. bistro != "0.2.0" & < "0.4.0"
  25. boulangerie
  26. camlix
  27. capnp >= "3.0.0" & < "3.3.0"
  28. caqti-async < "1.2.0" | >= "1.9.0" & < "2.1.1"
  29. caravan
  30. cfstream < "1.1.2"
  31. cohttp-async >= "1.1.1"
  32. cohttp-curl-async < "6.0.0~alpha2"
  33. comby
  34. command_rpc = "v0.10.0"
  35. conduit-async >= "1.2.0" & < "5.1.1"
  36. conduit-async-ssl
  37. conduit-async-tls
  38. core_bench = "v0.10.0"
  39. core_extended = "v0.10.0"
  40. core_profiler = "v0.10.0"
  41. cstruct-async >= "6.1.0"
  42. csvfields = "v0.10.0"
  43. cuid
  44. delimited_parsing < "v0.11.0"
  45. dune-expand
  46. email_message = "v0.10.0"
  47. expect_test_helpers = "v0.10.0"
  48. facebook-sdk >= "0.3.1"
  49. finch
  50. flow < "0.2"
  51. frenetic = "2.0.0" | >= "3.1.0" & != "5.0.0" & < "5.0.3"
  52. gen_server
  53. gnuplot = "0.5.3"
  54. gpr != "1.2.2" & < "1.5.0"
  55. grace
  56. hack_parallel != "1.0.0"
  57. horned_worm >= "0.3.1" & < "0.3.7"
  58. ibx < "0.5.9" | = "0.7.2" | >= "0.8.0"
  59. incremental = "v0.10.0"
  60. jane-street-tests
  61. jenga = "v0.10.0"
  62. libsvm < "0.9.3"
  63. line-up-words < "v0.11.0"
  64. liquid_interpreter >= "0.1.2"
  65. liquid_ml >= "0.1.2"
  66. liquid_parser >= "0.1.2"
  67. liquid_std >= "0.1.2"
  68. liquid_syntax >= "0.1.2"
  69. magic-trace
  70. mqtt_client
  71. nocoiner
  72. numalib
  73. obeanstalk
  74. ocaml_plugin = "v0.10.0"
  75. ocamlapi
  76. ocamlapi_ppx
  77. opam-sync-github-prs
  78. openflow >= "0.3.0" & < "0.9.0"
  79. opium < "0.12.0"
  80. oraft < "0.3.0"
  81. osbx < "1.1.1"
  82. osm_xml
  83. ox >= "1.1.0"
  84. oxylc
  85. packstream
  86. patdiff = "v0.10.0"
  87. petr4
  88. pg_query < "0.9.6"
  89. polars
  90. polars_async
  91. ppx_bitstring < "1.3.0"
  92. ppx_rapper < "1.0.1"
  93. primes < "1.3.5"
  94. prob-cache
  95. protocell
  96. res_tailwindcss
  97. riakc >= "1.0.0"
  98. riakc_ppx != "3.1.3"
  99. rpc_parallel = "v0.10.0"
  100. safemoney
  101. sarif < "0.2.1"
  102. satyrographos < "0.0.2.7"
  103. sill
  104. sociaml-tumblr-api < "0.2.0"
  105. spatial_index
  106. stationary
  107. textutils = "v0.10.0"
  108. tldr < "0.3.0"
  109. tube < "4.1.1"
  110. vrt
  111. websocket-async < "2.14"
  112. yara

Conflicts

None